#!/bin/sh
#
# Bereitet die Koeffizientenvektoren fuer die HTML-Seite auf

# 
# sicherstellen, dass alles bereit
#

for ART in an tn ap tp    
do

  echo -n "Splineart "
  echo $ART
  # 
  # Schleife ueber die zu waehlende Funktion und den Grad des
  # Polynoms
  #
  for FNR in 1 2 3 4; do               # Nr. der Beispielfunktion
    echo -n "Funktion "
    echo $FNR
    for GRAD in 2 4 7 10; do           # 

      NAME=ergebnis/${FNR}${ART}${GRAD}
      case $GRAD in
        1) ZEILEN=5 ;;
        *) ZEILEN=$GRAD ;;
      esac

      #
      # Koeffizienten der Newton-Darstellung ausgeben
      #
      echo -n "n = "
      echo -n $GRAD
      echo ":"
      tail -$ZEILEN ${NAME}.cof

    done

    #
    # Tabellenzeile abschliessen
    #
    echo     
  done

  #
  # und die naechste Tabelle
  #
  echo     
done
